Skip to main content

Discover Authorization


A Discover authorization with EMV data is an authorization request that can be for a nominal amount of 1.00 USD or a fare amount up to 15.00 USD. Mass transit Discover transactions are supported only in the U.S.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "comments": "TransitDA BAU nominal value auth",    "code": "123456",    "transactionId": "1346334405",    "partner": {      "solutionId": "123456",      "thirdPartyCertificationNumber": "123456789012"    }  },  "processingInformation": {    "industryDataType": "transit",    "capture": "false",    "commerceIndicator": "retail",    "authorizationOptions": {      "deferredAuthIndicator": "true",      "aggregatedAuthIndicator": "true"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "1.00",      "currency": "USD"    }  },  "paymentInformation": {    "card": {      "type": "004"    }  },  "pointOfSaleInformation": {    "terminalId": "12345678",    "catLevel": "2",    "entryMode": "contactless",    "terminalCapability": "5",    "terminalPinCapability": "0",    "emv": {      "tags": "9F2608101F3F75E8596414820211009F360200019F2701409F100A01151000000000000000950500000000009F370438A871109A032212129F1A0208409F33030008089F3501259F02060000000000005F2A0208409C01008407A0000001523010",      "cardSequenceNumber": "99"    },    "trackData": ";651000XXXXXXXXXX=49122011804088500000?"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6920241974736435904951/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6920241974736435904951"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6920241974736435904951/captures"    }  },  "clientReferenceInformation": {    "code": "123456",    "comments": "TransitDA BAU nominal value auth",    "partner": {      "solutionId": "123456"    },    "transactionId": "1346334405"  },  "id": "6920241974736435904951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "1.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "004"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "DI",      "group": "0"    },    "tokenizedCard": {      "type": "004"    },    "card": {      "type": "004"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F2701409F3501259F36020001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "033732",    "approvalCode": "813783",    "cardReferenceData": "05",    "networktransactionId": "VISJ      303226529970011",    "retrievalReferenceNumber": "322614033732",    "consumerAuthenticationResponse": {      "code": "0",      "codeRaw": "0"    },    "transactionId": "VISJ      303226529970011",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "6920241974736435904951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-08-14T14:43:19Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA BAU nominal value auth.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmountSet this field to 1.00.
paymentInformation.card.typeSet this field to 004.
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.cardSequenceNumberSet this field to 99.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.aggregatedAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.

Last published: September 29, 2026